## ros-noetic-schunk-simulated-tactile-sensors 0.6.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(schunk_simulated_tactile_sensors)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

install(DIRECTORY ros/launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/ros/launch
)

install(PROGRAMS ros/src/simulated_tactile_sensors.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/ros/src
)

=== debian/changelog ===
ros-noetic-schunk-simulated-tactile-sensors (0.6.14-1focal) focal; urgency=high

  * Merge pull request #215 <https://github.com/ipa320/schunk_modular_robotics/issues/215> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge branch 'indigo_dev' into indigo_release_candidate
  * Merge branch 'indigo_dev' of github.com:ipa320/schunk_modular_robotics into indigo_release_candidate
  * Merge pull request #199 <https://github.com/ipa320/schunk_modular_robotics/issues/199> from ipa320/indigo_dev
    Indigo dev
  * Contributors: Christian Rauch, Felix Messmer, fmessmer

 -- Bruno Brito <bfb@ipa.fhg.de>  Wed, 20 Nov 2019 00:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.13-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 19 Aug 2019 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.12-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Wed, 15 Aug 2018 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.11-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Fri, 20 Jul 2018 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.10-1focal) focal; urgency=high

  * Merge pull request #198 <https://github.com/ipa320/schunk_modular_robotics/issues/198> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #196 <https://github.com/ipa320/schunk_modular_robotics/issues/196> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #191 <https://github.com/ipa320/schunk_modular_robotics/issues/191> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 07 Jan 2018 00:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.9-1focal) focal; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 16 Jul 2017 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.8-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 09 Oct 2016 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.7-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Thu, 31 Mar 2016 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.6-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 31 Aug 2015 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.5-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 30 Aug 2015 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.4-1focal) focal; urgency=high

  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 24 Aug 2015 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.3-1focal) focal; urgency=high

  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Tue, 16 Jun 2015 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.2-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 15 Dec 2014 00:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.1-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 21 Sep 2014 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.6.0-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Wed, 17 Sep 2014 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.5.6-1focal) focal; urgency=high

  * catkin_lint'ing
  * Contributors: ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Tue, 26 Aug 2014 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.5.5-1focal) focal; urgency=high

  * modifications in tranmissions, removing of bumpers and small cleanups
  * Contributors: Alexander Bubeck

 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 25 Aug 2014 23:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.5.4-1focal) focal; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Fri, 28 Mar 2014 00:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.5.3-1focal) focal; urgency=high

  * install tags
  * some catkin_lint
  * Contributors: ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Thu, 27 Mar 2014 00:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.5.2-1focal) focal; urgency=high

  * add dep to rostest
  * Contributors: Florian Weisshardt

 -- Bruno Brito <bfb@ipa.fhg.de>  Thu, 27 Mar 2014 00:00:00 -0000

ros-noetic-schunk-simulated-tactile-sensors (0.5.1-1focal) focal; urgency=high

  * Adapted topics for simulated tactile sensors.
  * installation stuff
  * changed to new gazebo_msgs
  * Initial catkinization. Still a linking error in sdh lib.
  * switched namespace for simulated tactile sensors to dsa_controller (the same as on the robots)
  * switched namespace for simulated tactile sensors to dsa_controller (the same as on the robots)
  * updated documentation
  * schunk_simulated_tactile_sensors: reordered pads to match joint state order
  * moved simulated tactile sensors to schunk repository
  * Contributors: Mathias Lüdtke, abubeck, ipa-fmw, ipa-mdl, jsanch2s

 -- Bruno Brito <bfb@ipa.fhg.de>  Thu, 20 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-schunk-simulated-tactile-sensors
Section: misc
Priority: optional
Maintainer: Bruno Brito <bfb@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/schunk_simulated_tactile_sensors
Standards-Version: 3.9.2

Package: ros-noetic-schunk-simulated-tactile-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-gazebo-msgs, ros-noetic-rospy, ros-noetic-schunk-sdh
Description: This package provides simulated tactile sensors for the Schunk Dextrous Hand (SDH) which is mounted on the Care-O-bot arm.
 The node subscribes to the Gazebo bumper topics of the SDH. It transforms the Gazebo feedback to the &quot;tactile_data&quot; topic to provide the same tactile sensor interface as the schunk_sdh package. The following parameters can be set: * cells_x: The number of patches on the tactile sensor in the direction perpendicular to the finger. Defaults to 6. * cells_y: The number of patches on the tactile sensor along the direction of the finger. Defaults to 14. * output_range: The maximum output value of one patch. Defaults to 3500. * sensitivity: The change of output in one patch per Newton. Defaults to 350. The sensitivity can be approximated by the following formula: S = output_range / (measurement_range * cell_area) - The measurement range of the tactile pads is 250 kPa (from the data sheet). - The output range can be determined by experiment from the real SDH. It is about 3500. - The cell area is the size of one patch. Length and width of the area are determined by dividing the length/width of the collision surface by the number of cells in the respective direction. Important: In most cases this is NOT the cell area that is given in the data sheet! * filter_length: The length of the moving average filter which smoothes the values from simulation. Defaults to 10. The node subscribes to the following topics to receive data from the simulation: * thumb_2/state * thumb_3/state * finger_12/state * finger_13/state * finger_22/state * finger_23/state The node publishes the processed data on the following topic: * tactile_data The simulated bumper must obtain the collision data in the link that the sensor is attached to. This is achieved by setting the &quot;frameName&quot; property in the gazebo_ros_bumper controller.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-schunk-simulated-tactile-sensors//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
